#ifndef __MAIN_H
#define __MAIN_H
#define eeprom           __eeprom __no_init
/*    Kieu So Nguyen Co Dau    */
typedef  long  int    int32_t;
typedef  int          int16_t;
typedef  char         int8_t;

/*	Kieu So Nguyen Khong Dau */
typedef unsigned long  uint32_t;
typedef unsigned int uint16_t;
typedef unsigned char  uint8_t;
/*	Kieu So Thuc */
typedef   float            float32_t;
/*******************************************************************************
   - STANDAR C - STANDAR C - STANDAR C - STANDAR C - STANDAR C - STANDAR C -
*******************************************************************************/
#include "defstm8s.h"
#include "stdio.h"
#include "string.h"
#include "stdlib.h"
#include "math.h"
/*******************************************************************************
   - FWLIB - FWLIB - FWLIB - FWLIB - FWLIB - FWLIB - FWLIB - FWLIB - FWLIB -
*******************************************************************************/
#include "stm8s_adc1.h"
//#include "stm8s_clk.h"
//#include "stm8s_beep.h"
//#include "stm8s_iwdg.h"
//#include "stm8s_flash.h"
#include "stm8s_tim1.h"
//#include "stm8s_tim2.h"
//#include "stm8s_tim3.h"
//#include "stm8s_tim4.h"
//#include "stm8s_uart1.h"
//#include "stm8s_uart2.h"
//#include "stm8s_exti.h"
//#include "stm8s_itc.h"
/*******************************************************************************
   - USER STM8 - USER STM8 - USER STM8 - USER STM8 - USER STM8 - USER STM8 -
*******************************************************************************/
#include "clock.h"
#include "gpio.h"
#include "timer.h"
//#include "usart.h"
//#include "flash.h"
//#include "eeprom.h"
//#include "iwatchdog.h"
#include "adc.h"
//#include "exti.h"
/*******************************************************************************
   - USER - USER - USER - USER - USER - USER - USER - USER - USER - USER -
*******************************************************************************/
#include "delay.h"        // tao cac ham delay ms, delay us
//#include "srf05.h"
#include "interrupt.h"
#include "robot.h"
#include "lcd1602.h"
/*******************************************************************************
 PROJECT - PROJECT - PROJECT - PROJECT - PROJECT - PROJECT - PROJECT - PROJECT
*******************************************************************************/


/*******************************************************************************
 --- DEFINE PORT PIN - DEFINE PORT PIN - DEFINE PORT PIN - DEFINE PORT PIN ---
*******************************************************************************/

#define VLED       	PORTE_6
#define LED_EN		PORTA_3

 typedef struct
{
    uint8_t   Left1;
    uint8_t   Left2;
    uint8_t   Right1;
    uint8_t   Right2;
    uint8_t   Center;
    uint16_t   Color;
}SENSOR_DATA;

/******************************************************************************/
#endif
/******************************KET THUC FILE******************************/