#ifndef __ROBOT_H
#define __ROBOT_H
#include "main.h"
//
//#define ADC_OFFSET_MIN      1
//#define ADC_OFFSET_MAX      1010
//#define ADC_COLOR           200
//
#define DIR_DUNG_LAI        0
#define DIR_DI_THANG        1
#define DIR_LUI_LAI         2
#define DIR_QUAY_TRAI       3
#define DIR_QUAY_PHAI       4
//
#define SENSOR_TRAI_1       0
#define SENSOR_TRAI_2       1
#define SENSOR_PHAI_1       4
#define SENSOR_PHAI_2       2
#define SENSOR_TRUOC        5
//

void Motor_Driver(uint8_t Dir, uint8_t Speed);
uint8_t Read_Sensor(uint8_t Sensor);
uint8_t Sensor_Color(void);
void Robot_Process(void);
uint8_t Check_LowBattery(void);

#endif
