#include "timer.h"

void PWM_TIM_Init(void)
{
    TIM1_TimeBaseInit(63, TIM1_COUNTERMODE_UP, 254, 0);
    TIM1_OC1Init(TIM1_OCMODE_PWM2, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_DISABLE, 0, TIM1_OCPOLARITY_LOW, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_RESET);
    TIM1_OC2Init(TIM1_OCMODE_PWM2, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_DISABLE, 0, TIM1_OCPOLARITY_LOW, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_RESET);
    TIM1_OC3Init(TIM1_OCMODE_PWM2, TIM1_OUTPUTSTATE_ENABLE, TIM1_OUTPUTNSTATE_DISABLE, 0, TIM1_OCPOLARITY_LOW, TIM1_OCNPOLARITY_HIGH, TIM1_OCIDLESTATE_RESET, TIM1_OCNIDLESTATE_RESET);
    TIM1_OC4Init(TIM1_OCMODE_PWM2, TIM1_OUTPUTSTATE_ENABLE, 0, TIM1_OCPOLARITY_LOW, TIM1_OCIDLESTATE_RESET);
    TIM1_CtrlPWMOutputs(ENABLE);
    TIM1_OC1PreloadConfig(ENABLE);
    TIM1_OC2PreloadConfig(ENABLE);
    TIM1_OC3PreloadConfig(ENABLE);
    TIM1_OC4PreloadConfig(ENABLE);
    TIM1_ARRPreloadConfig(ENABLE);
    TIM1_Cmd(ENABLE);
}

void PWM_SetDuty(uint8_t OC1_Duty, uint8_t OC2_Duty, uint8_t OC3_Duty, uint8_t OC4_Duty)
{
    TIM1->CCR1H = 0;
    TIM1->CCR1L = OC1_Duty;
    //
    TIM1->CCR2H = 0;
    TIM1->CCR2L = OC2_Duty;
    //
    TIM1->CCR3H = 0;
    TIM1->CCR3L = OC3_Duty;
    //
    TIM1->CCR4H = 0;
    TIM1->CCR4L = OC4_Duty;
}